> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/workorders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/workorders/workorders.md).

# WorkOrders

## Introduction

Work orders database

## Configuration

{% hint style="info" %}
**Module name:** `WorkOrders`
{% endhint %}

### Main configuration

The main part of the configuration.&#x20;

{% tabs %}
{% tab title="Properties" %}

<table><thead><tr><th width="288">Name</th><th width="238">Description</th><th>Default</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td>namespace</td><td>Modules within the  same namespace belong together.</td><td></td><td>false</td></tr><tr><td>db_driver</td><td>Database driver, fully qualified class name</td><td></td><td>true</td></tr><tr><td>jdbc.url</td><td>JDBC url</td><td></td><td>true</td></tr><tr><td>jdbc.username</td><td>JDBC username</td><td></td><td>true</td></tr><tr><td>jdbc.password</td><td>JDBC password</td><td></td><td>true</td></tr><tr><td>encryption_key</td><td></td><td></td><td>false</td></tr><tr><td>file_source_dir</td><td>Fetch order specification files here</td><td></td><td>true</td></tr><tr><td>file_storage_dir</td><td>Store order specification files here</td><td></td><td>true</td></tr><tr><td>copy_files</td><td>If <code>true</code>, leave a copy in file_source_dir</td><td><code>true</code></td><td>false</td></tr><tr><td>order_executions[]</td><td>Batch execution of orders</td><td>*</td><td>false</td></tr><tr><td>order_executions[].order_types[]</td><td>Order types for batch execution</td><td></td><td>false</td></tr><tr><td>order_executions[].accept_pipe</td><td>Execute pipe for accepted orders</td><td></td><td>false</td></tr><tr><td>order_executions[].reject_pipe</td><td>Execute pipe for rejected orders</td><td></td><td>false</td></tr><tr><td>order_executions[].interval_millis</td><td>Batch job interval millis</td><td></td><td>false</td></tr><tr><td>order_executions[].batch_size</td><td>Batch job size</td><td></td><td>false</td></tr></tbody></table>
{% endtab %}

{% tab title="Example" %}

```json
{
  "name": "WorkOrders",
  "config": {
    "namespace": "default",
    "db_driver": "com.microsoft.sqlserver.jdbc.SQLServerDriver",
    "jdbc": {
      "url": "jdbc:sqlserver://<host>:<port>;database=<database>;encrypt=false",
      "username": "<user>",
      "password": "<password>"
    },
    "encryption_key": "<encryption key>",
    "file_source_dir": "/path/to/temp/dir",
    "file_storage_dir": "/path/to/storage/dir",
    "copy_files": true,
    "order_executions": [
      {
        "order_types": ["CreateAccount"],
        "accept_pipe": "create_account_accept",
        "reject_pipe": "create_account_reject",
        "interval_millis": 30000,
        "batch_size": 500
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

\*) If `order_executions` is left empty, the system configures a single batch execution of all order types, with interval 1300 ms and batch size 100&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fortifiedid.se/workorders/workorders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
